Arch Remove/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "# 选中建筑对象中的某个子构件。 # 按{{Button|16px Remove}}按钮。")
(Updating to match new version of source page)
 
(22 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}


<div class="mw-translate-fuzzy">
{{GuiCommand
{{docnav/zh-cn|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Workbench|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/zh-cn
|Name=Arch Remove
|Name=Arch Remove
|Name/zh-cn=建筑移除工具
|MenuLocation=Arch → Remove
|MenuLocation=Arch → Remove
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch_Workbench/zh-cn|Arch]]
|SeeAlso=[[Arch Add]]
|SeeAlso=[[Arch Add/zh-cn]]
}}
}}
</div>


==描述==
==描述==


<div class="mw-translate-fuzzy">
The Remove tools allows you to do 2 kinds of operations:
移除工具允许您执行两种操作:
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the [[Arch Add]] example
* 从建筑对象中移除一个子构件,例如像[[Arch Add|建筑添加工具]]示例中那样,将添加至墙体的立方体移除掉。
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]
* 从如[[Arch Wall|墙体(wall)]]或[[Arch Structure|结构构件(structure)]]等建筑构件中去掉具有[[Part_Workbench|形状(shape)]]的对象。
</div>


<div class="mw-translate-fuzzy">
[[Arch Add|建筑添加]]工具与本工具功能相反。
[[Arch Add|建筑添加]]工具与本工具功能相反。
</div>


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]
{{Caption|从墙体中去掉一个立方体,于是便留下了一个洞。}}
{{Caption|从墙体中去掉一个立方体,于是便留下了一个洞。}}


<div class="mw-translate-fuzzy">
==如何使用==
==如何使用==
</div>


<div class="mw-translate-fuzzy">
# 选中建筑对象中的某个子构件。
# 选中建筑对象中的某个子构件。
# 按{{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Remove]]}}按钮。
# 按{{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Remove]]}}按钮。
</div>


<div class="mw-translate-fuzzy">
Or
或者
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# 先选择待移除的(若干)对象,最后选择主建筑对象(也就是要从中去掉前面所选的对象)。
# Press the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Remove]]}} button.
# {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Remove]]}}按钮。
</div>


<div class="mw-translate-fuzzy">
==Scripting==
==脚本==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|参阅:}} [[Arch API]] [[FreeCAD Scripting Basics]]
</div>


<div class="mw-translate-fuzzy">
The Remove tool can be used in [[macros]] and from the [[Python]] console by using the following function:
通过下列函数就可以在[[macros]]与[[Python]]控制台中使用移除工具:
</div>
{{Code|code=
{{Code|code=
removeComponents(objectsList, host=None)
removeComponents(objectsList, host=None)
}}
}}


* Removes the given objects in {{incode|objectsList}} from their parents.
* 从父对象中去掉{{incode|objectsList}}里的诸对象。
* If a {{incode|host}} object is specified, this function will try adding the objects in {{incode|objectsList}} as holes to the {{incode|host}}.
* 如果指定了{{incode|host}}对象,此函数将试图从{{incode|host}}中去掉与{{incode|objectsList}}里诸对象的交集。


示例:
示例:
Line 59: Line 79:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}


{{Arch Tools navi}}


<div class="mw-translate-fuzzy">
{{Userdocnavi}}
{{docnav/zh-cn|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Workbench|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:57, 9 March 2022

建筑移除工具

菜单位置
Arch → Remove
所属工作台
Arch
默认快捷键
沒有
版本介紹
-
参阅
Arch Add/zh-cn

描述

移除工具允许您执行两种操作:

建筑添加工具与本工具功能相反。

从墙体中去掉一个立方体,于是便留下了一个洞。

如何使用

  1. 选中建筑对象中的某个子构件。
  2. Remove按钮。

或者

  1. 先选择待移除的(若干)对象,最后选择主建筑对象(也就是要从中去掉前面所选的对象)。
  2. Remove按钮。

脚本

参阅: Arch APIFreeCAD Scripting Basics

通过下列函数就可以在macrosPython控制台中使用移除工具:

removeComponents(objectsList, host=None)
  • 从父对象中去掉objectsList里的诸对象。
  • 如果指定了host对象,此函数将试图从host中去掉与objectsList里诸对象的交集。

示例:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()